<template>
  <div>
    <div class="page-title">
      <h3>{{ 'Profile' | localization }}</h3>
    </div>

    <form class="form" @submit.prevent="submitHandler">
      <div class="input-field">
        <input
            id="description"
            type="text"
            v-model="name"
            :class="{invalid: ($v.name.$dirty && !$v.name.required)}"
        >
        <label for="description">{{ 'Name' | localization }}</label>
        <small
            class="helper-text invalid"
            v-if="$v.name.$dirty && !$v.name.required"
        >
          {{ 'Enter the name' | localization }}
        </small>
      </div>

      <div class="switch" style="margin-bottom: 20px;">
        <label>
          Русский
          <input
              type="checkbox"
              v-model="locale"
          >
          <span class="lever"></span>
          English
        </label>
      </div>

      <button class="btn waves-effect waves-light" type="submit">
        {{ 'Update' | localization }}
        <i class="material-icons right">send</i>
      </button>
    </form>
  </div>
</template>

<script>
import {required} from 'vuelidate/lib/validators';

export default {
    name: "Profile",
    validations: {
      name: {required}
    },
    data: () => ({
      name: '',
      locale: true
    }),
    computed: {
      info() {
        return this.$store.getters.getUserInfo;
      }
    },
    mounted() {
      this.name = this.info.name;
      this.locale = 'en-US' === this.info.locale;
      setTimeout(() => {
        M.updateTextFields();
      });
    },
    methods: {
      async submitHandler() {
        if (this.$v.$invalid) {
          this.$v.$touch();
          return;
        }

        const formData = {
          name: this.name,
          locale: this.locale ? 'en-US' : 'ru-RU'
        };

        try {
          this.$store.dispatch('updateInfo', formData)
        } catch (e) {}


      }
    }
  }
</script>

<style scoped>

</style>